package com.ruoyi.pay.service;

import com.ruoyi.pay.domain.PayWorkTime;
import com.ruoyi.pay.domain.vo.PayWorkTimeVo;
import com.ruoyi.pay.domain.bo.PayWorkTimeBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 员工工时时间段Service接口
 *
 * @author ruoyi
 * @date 2025-05-12
 */
public interface IPayWorkTimeService {

    /**
     * 查询员工工时时间段
     */
    PayWorkTimeVo queryById(Long id);

    /**
     * 查询员工工时时间段列表
     */
    TableDataInfo<PayWorkTimeVo> queryPageList(PayWorkTimeBo bo, PageQuery pageQuery);

    /**
     * 查询员工工时时间段列表
     */
    List<PayWorkTimeVo> queryList(PayWorkTimeBo bo);

    /**
     * 新增员工工时时间段
     */
    Boolean insertByBo(PayWorkTimeBo bo);

    /**
     * 修改员工工时时间段
     */
    Boolean updateByBo(PayWorkTimeBo bo);

    /**
     * 校验并批量删除员工工时时间段信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
